import request from '@/utils/request'

//装备装备类目树结构数据
export function getEquipmentTypeApi(query) {
    return request({
        url: '/material-mall/maType/getEquipmentType',
        method: 'get',
        params: query
    })
}

// 获取装备列表
export function getEquipmentListApi(query) {
    return request({
        url: '/material-mall/comprehensive/devList',
        method: 'get',
        params: query
    })
}

// 获取装备详情
export function getRentDetailApi(query) {
    return request({
        url: '/material-mall/comprehensive/rentDetails',
        method: 'get',
        params: query
    })
}

// 获取出租装备列表
export function getLeaseDevListApi(query) {
    return request({
        url: '/material-mall/comprehensive/getLeaseDevList',
        method: 'get',
        params: query
    })
}








